Bug 1341312 - Environmental Variable to change the check interval for haproxy.
Summary: Environmental Variable to change the check interval for haproxy.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Routing
Version: 3.2.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: jtanenba
QA Contact: zhaozhanqi
URL:
Whiteboard:
Depends On:
Blocks: 1267746
TreeView+ depends on / blocked
 
Reported: 2016-05-31 19:11 UTC by Ryan Howe
Modified: 2019-11-14 08:13 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-27 09:33:22 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1933 normal SHIPPED_LIVE Red Hat OpenShift Container Platform 3.3 Release Advisory 2016-09-27 13:24:36 UTC
Red Hat Knowledge Base (Solution) 2351951 None None None 2017-01-18 07:27:36 UTC

Description Ryan Howe 2016-05-31 19:11:36 UTC
Description of problem:

Would like to the ablity to set the haproxy templates values for httpcheck for route backends. 

This would be set when deploying the OpenShift router as and Environment Variable. 

For example we would want to change "5000ms" and set if using a variable passed in the DC. 

Example:

ROUTER_BACKEND_CHECKINTER = "VALUE" 


Configuration link show one area this is set.  

https://github.com/openshift/origin/blob/master/images/router/haproxy/conf/haproxy-config.template#L258

Comment 5 Ben Bennett 2016-08-08 15:23:59 UTC
Jacob, we just need to shepherd in the PR.

Comment 6 Eric Rich 2016-08-12 19:02:27 UTC
(In reply to Ben Bennett from comment #5)
> Jacob, we just need to shepherd in the PR.

While https://github.com/openshift/origin/pull/9099 is in it would be better if we had: https://github.com/openshift/origin/pull/10342

Comment 7 Ben Bennett 2016-08-16 20:08:39 UTC
https://github.com/openshift/origin/pull/10342 has merged.

Comment 8 Troy Dawson 2016-08-18 20:25:53 UTC
This has been merged into ose and is in OSE v3.3.0.22 or newer.

Comment 10 zhaozhanqi 2016-08-19 06:42:05 UTC
verified this bug with router image
openshift3/ose-haproxy-router:v3.3.0.22(id=185850e07ab4)

the global set the inter time is using env for router, like:

oc env dc router ROUTER_BACKEND_CHECK_INTERVAL=50ms

and can set the private route using annotate like

oc annotate route test-service router.openshift.io/haproxy.health.check.interval=13m -n zzhao

Comment 11 openshift-github-bot 2016-09-14 21:43:35 UTC
Commits pushed to master at https://github.com/openshift/openshift-docs

https://github.com/openshift/openshift-docs/commit/b0c600a9f2f91de8ba839616ab1de071d95dc520
Adding notes to document Bug 1341312 and Bug 1319906

https://github.com/openshift/openshift-docs/commit/7c78f0ec73be37ad127fa6b9bb7200d3d67d5393
Merge pull request #2845 from ahardin-rh/sferich888-PR2183

Adding notes to document Bug 1341312 and Bug 1319906

Comment 13 errata-xmlrpc 2016-09-27 09:33:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1933


Note You need to log in before you can comment on or make changes to this bug.